#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Test
%define		pnam	Needs
%include	/usr/lib/rpm/macros.perl
Summary:	Test::Needs - skip tests when modules not available
Summary(pl.UTF-8):	Test::Needs - pomijanie testów, jeśli moduły nie są dostępne
Name:		perl-Test-Needs
Version:	0.002005
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	356634a56c99282e8059f290f5d534c8
URL:		http://search.cpan.org/dist/Test-Needs/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.45
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Skip test scripts if modules are not available. The requested modules
will be loaded, and optionally have their versions checked. If the
module is missing, the test script will be skipped. Modules that are
found but fail to compile will exit with an error rather than skip.

%description -l pl.UTF-8
Moduł pozwalający na pomijanie skryptów testowych, jeśli moduły nie są
dostępne. Żądane moduły są ładowane, a ich wersje opcjonalnie
sprawdzane. Jeśli modułu brakuje, skrypt testowy jest pomijany; moduły
znalezione, ale nie kompilujące się powodują zakończenie testu z
błędem zamiast pominięcia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Needs.pm
%{_mandir}/man3/Test::Needs.3*
%changelog
* Fri Apr 14 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Test-Needs.git;a=log;h=master

* Thu Nov 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 8eae7fe
- pl

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 272031f
- initial

